package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsTestTemp;
import com.fs.his.vo.OptionsVO;
import org.apache.ibatis.annotations.Select;

/**
 * 测一测模板Mapper接口
 *
 * @author fs
 * @date 2023-09-04
 */
public interface FsTestTempMapper
{
    /**
     * 查询测一测模板
     *
     * @param tempId 测一测模板主键
     * @return 测一测模板
     */
    public FsTestTemp selectFsTestTempByTempId(Long tempId);

    /**
     * 查询测一测模板列表
     *
     * @param fsTestTemp 测一测模板
     * @return 测一测模板集合
     */
    public List<FsTestTemp> selectFsTestTempList(FsTestTemp fsTestTemp);

    /**
     * 新增测一测模板
     *
     * @param fsTestTemp 测一测模板
     * @return 结果
     */
    public int insertFsTestTemp(FsTestTemp fsTestTemp);

    /**
     * 修改测一测模板
     *
     * @param fsTestTemp 测一测模板
     * @return 结果
     */
    public int updateFsTestTemp(FsTestTemp fsTestTemp);

    /**
     * 删除测一测模板
     *
     * @param tempId 测一测模板主键
     * @return 结果
     */
    public int deleteFsTestTempByTempId(Long tempId);

    /**
     * 批量删除测一测模板
     *
     * @param tempIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsTestTempByTempIds(Long[] tempIds);

    @Select("select temp_id dictValue,`name` dictLabel from fs_test_temp")
    List<OptionsVO> selectAllTestTempList();

}
